local ffi = require "ffi"
local bor, band, bxor, bshl, bshr, bnot = bit.bor, bit.bxor, bit.band, bit.lshift, bit.rshift, bit.bnot

--- Types for Core register files
ffi.cdef [[
  typedef union q {
    uint64_t u64;
    int64_t  i64;
    double d;
  } q;
  typedef union d {
    uint32_t u32;
    int32_t i32;
    float f;
  } d;
  typedef union w {
    uint16_t u16;
    int16_t i16;
  } w;
  typedef union c {
    uint8_t u8;
    int8_t i8;
  } c;
  typedef uint32_t b;
]]
local d = ffi.new("d[?]", 1024) 
local function ADD(x,y) return x+y end

local function no_compiled_trace_here ()
-----------------------------------------------------------
-- PRELUDE
-----------------------------------------------------------
-----------------------------------------------------------
-- BEGIN SCOPE SIMD(1)
-----------------------------------------------------------
do
-- DO {}
while true do
local break_used_for_continue = false
(function ()

-- ADD {f, d(1,1), d(2,1), d(3,1), }
d[0].f = ADD(d[1].f, d[2].f)


-- ADD {f, d(4,8), d(5,8), d(3,1), }
d[3].f = ADD(d[11].f, d[2].f)
d[4].f = ADD(d[12].f, d[2].f)
d[5].f = ADD(d[13].f, d[2].f)
d[6].f = ADD(d[14].f, d[2].f)
d[7].f = ADD(d[15].f, d[2].f)
d[8].f = ADD(d[16].f, d[2].f)
d[9].f = ADD(d[17].f, d[2].f)
d[10].f = ADD(d[18].f, d[2].f)


-- ADD {f, d(6,8), d(6,8), d(3,1), }
d[19].f = ADD(d[19].f, d[2].f)
d[20].f = ADD(d[20].f, d[2].f)
d[21].f = ADD(d[21].f, d[2].f)
d[22].f = ADD(d[22].f, d[2].f)
d[23].f = ADD(d[23].f, d[2].f)
d[24].f = ADD(d[24].f, d[2].f)
d[25].f = ADD(d[25].f, d[2].f)
d[26].f = ADD(d[26].f, d[2].f)


-- ADD {f, d(7,8), d(7,8), d(3,1), }
d[27].f = ADD(d[27].f, d[2].f)
d[28].f = ADD(d[28].f, d[2].f)
d[29].f = ADD(d[29].f, d[2].f)
d[30].f = ADD(d[30].f, d[2].f)
d[31].f = ADD(d[31].f, d[2].f)
d[32].f = ADD(d[32].f, d[2].f)
d[33].f = ADD(d[33].f, d[2].f)
d[34].f = ADD(d[34].f, d[2].f)


-----------------------------------------------------------
-- BEGIN SCOPE SIMD(8)
-----------------------------------------------------------
do
local mask = 255
local returned_mask = 0
local continued_mask = 0
local broken_mask = 0
-- DO {}
while true do
local saved_mask = mask
local broken_mask = 0
local continued_mask = 0
(function ()

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- ADD {f, d(5,8), d(2,1), d(3,1), }
if mask == 255 then
d[11].f = ADD(d[1].f, d[2].f)
d[12].f = ADD(d[1].f, d[2].f)
d[13].f = ADD(d[1].f, d[2].f)
d[14].f = ADD(d[1].f, d[2].f)
d[15].f = ADD(d[1].f, d[2].f)
d[16].f = ADD(d[1].f, d[2].f)
d[17].f = ADD(d[1].f, d[2].f)
d[18].f = ADD(d[1].f, d[2].f)
else
if band(mask, 1) ~= 0 then d[11].f = ADD(d[1].f, d[2].f) end
if band(mask, 2) ~= 0 then d[12].f = ADD(d[1].f, d[2].f) end
if band(mask, 4) ~= 0 then d[13].f = ADD(d[1].f, d[2].f) end
if band(mask, 8) ~= 0 then d[14].f = ADD(d[1].f, d[2].f) end
if band(mask, 16) ~= 0 then d[15].f = ADD(d[1].f, d[2].f) end
if band(mask, 32) ~= 0 then d[16].f = ADD(d[1].f, d[2].f) end
if band(mask, 64) ~= 0 then d[17].f = ADD(d[1].f, d[2].f) end
if band(mask, 128) ~= 0 then d[18].f = ADD(d[1].f, d[2].f) end
end

-- BREAK {}
broken_mask = bor(broken_mask, mask)
do
return
end

-- LOOP {}
end)()
mask = saved_mask
mask = band(mask, bnot(returned_mask))
mask = band(mask, bnot(broken_mask))
if mask == 0 then break end
end

end
-----------------------------------------------------------
-- END SCOPE SIMD(8)
-----------------------------------------------------------

-- BREAK {}
do
break_used_for_continue = false
return
end

-- LOAD {global, u32, 4, d(1,1), d(2,1), }
--LOAD!!!

-- LOOP {}
end)()
if not break_used_for_continue then break end
end

-- RET {}
return

end
-----------------------------------------------------------
-- END SCOPE SIMD(1)
-----------------------------------------------------------
end

for i=1,10000 do no_compiled_trace_here() end

